
proc dim { but } {
	$but config -state disabled
}

proc undim { but } {
	$but config -state normal
}

proc convertTime { x } {
	set h [expr $x/3600]
	set x [expr $x%3600]
	set m [expr $x/60]
	set s [expr $x%60]
	format "%02d:%02d:%02d" $h $m $s
}

proc openLog { filename } {
	set fd 0
	if {[catch {open $filename a} fd]} {
		error "Cannot open log file $filename"
	}
	return $fd
}

proc writeLog { fd str } {
	puts $fd $str
	flush $fd
	# for now write to console too
	puts stderr $str
}

proc closeLog { fd } {
	catch {close $fd}
}
